<html>

<Head>
    <Title>Auswahl</title>
    <meta name="robots" content="nofollow">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />


    <script language="JavaScript">
    <!--
    // sel_arch.php = generates select form for archive (=patarch.php)
    // select.php = generates a form for inbox (=inbox.php)

    function ask_before_archive(myForm) {
        list_archive = "";
        i = 0;
        count_s = 0;
        to_merge = 0;
        patNr_missing = 0;
        while (myForm.sel_it[i]) {
            if (myForm.sel_it[i].checked == true) {
                if (myForm.scansQuant[i].value >= 1) {
                    // scans quantity >1 then merge first
                    //alert("zusammenf."+myForm.docFileName[i].value+"xxx");
                    to_merge = myForm.rowNr[i].value;
                }
                if (myForm.patNr[i].value == '') {
                    // record hat not yet a patient Number -> archiving not allowed
                    patNr_missing = myForm.rowNr[i].value;
                }
                list_archive += myForm.rowNr[i].value + ";";
                count_s++;
            }
            i++;
            //if (i>10) break;
        }

        if (i == 0 && myForm.sel_it.checked ==
            true) // exception: Inbox has only one document, only one sel_it: sel_it[0] as array exist not
            list_archive = myForm.rowNr.value;


        if ((count_s > 15) && (myForm.pers.value != "MFP")) { // xxxxxx
            // > 15 exception and person = doctor: want to archive all documents that are
            // are already archived by employees "MFP"?  - Type in "alle" =german, english: "all" for answer "Yes": all documents
            archive_all_inbox = prompt(
                "Sie haben mehr als 15 ausgewählt. Möchten Sie >>ALLE(!!) Dokumente archivieren? (Wenn Ja, bitte 'alle' eintippen und dann 'Ok'. Wenn nein, ohne Eingabe mit 'Ok' oder 'abbrechen' überspringen.)"
            );
            // Only if user types in "alle"(=all) and confirms with "ok", then all will be archived.
            //only archive those doc/records where pers=MFP has already archived, others may have no patNr assigned or tif's are not merged yet to PDF
            if (archive_all_inbox == 'alle') {
                // german "alle" = "all" (english). Archive all documents in inbox of this doctor
                document.selForm.work.value = "archiveAllThisDoctor";
                return true;
            }
        }
        if (list_archive == "") {
            // alert: you have no document/row/record selected
            alert("Sie haben gar kein Dokument ausgewählt!");
            return false;
        }
        if (to_merge != 0) {
            // alert: please merge at least one of the selected documents before archiving
            alert("Bitte fassen Sie das Dokument mit der Nr. " + to_merge + " vor dem Archivieren zusammen");
            return false;
        }
        if (patNr_missing != 0) {
            // alert: alt least one patient Number is missing in one of the selected documents/rows/records
            alert("Bitte teilen Sie Dokument mit der Nr. " + patNr_missing + " eine Patienten-Nr zu.");
            return false;
        }
        // Ask (confirm): Do you really want to archive the selected documents/rows/records?
        yesno = confirm("Möchten Sie die Nr(n): " + list_archive + " wirklich archivieren? (OK=Yes, cancel=Nein)");
        if (yesno == true) {
            document.selForm.numbers.value = list_archive;
            document.selForm.work.value = "doArchive";
            return true;
        } else {
            return false;
        }
    }


    function ask_before_arch_forAll(myForm) {
        // function check and ask before archive forAll
        // check: 1. all selected records with scanned pages are merged to one pdf?
        //        2. all selected records have a patient number?
        // ask: do you really want to archive the selected records (=documents) for all?
        // archive in ainbox.php finally (ainbox = archive-inbox)
        list_archive = "";
        i = 0;
        to_merge = 0; // for check 1.
        patNr_missing = 0; // for check 2.
        while (myForm.sel_it[i]) {
            // at least 2 records are selected, if only one then myForm.sel_it[i] is false
            if (myForm.sel_it[i].checked == true) {
                if (myForm.scansQuant[i].value >= 1) {
                    //alert("Nr "+i+" has more than 1 scanned page: "+myForm.docFileName[i].value);
                    to_merge = myForm.rowNr[i].value;
                }
                if (myForm.patNr[i].value == '') {
                    // check 2.
                    patNr_missing = myForm.rowNr[i].value;
                }
                list_archive += myForm.rowNr[i].value +
                    ";"; //build a list of records/rows/documents that are selected to archive
            }
            i++;
            //if (i>10) break;
        }

        // the exception: only one document in inbox is selected (sel_it), then sel_it[0] as array not exists
        if (i == 0 && myForm.sel_it.checked == true) {
            list_archive = myForm.rowNr.value; // only one value in list
            if (myForm.docFileName.value >= 1) to_merge = myForm.rowNr.value;
            if (myForm.patNr.value == '') patNr_missing = myForm.rowNr.value;
        }

        // eval the result: alerts or a confirmation:
        if (to_merge != 0) {
            // alert: please merge document Nr: +to_merge;  // maybe exist multiple documents that need to be merged to pdf
            alert("Bitte fassen Sie das Dokument mit der Nr. " + to_merge + " vor dem Archivieren zusammen");
            return false; // exit function
        }
        if (patNr_missing != 0) {
            // alert: please assign a patient number to document number: +patNr_missing   // maybe exist multiple documents that need a patient number
            alert("Bitte teilen Sie Dokument mit der Nr. " + patNr_missing + " eine Patienten-Nr zu.");
            return false; // exit function
        }
        // yesno confirm: do you really want to archive the numbers +list_archive ?
        yesno = confirm("M&uuml;chten Sie die Nr(n): " + list_archive +
            " wirklich für alle archivieren? (OK=Yes, cancel=Nein)");
        if (yesno == true) {
            document.selForm.numbers.value = list_archive;
            document.selForm.work.value = "arch_forAll";
            //submit();
            return true;
        } else {
            return false;
        }
    }


    function ask_before_delete(myForm, action) {
        // 1. collect all documents/rows/records to be deleted action="for_all"
        //    or mark as deleted action="for_me" (=unvisible) for one person only!
        //    ... in a string and copy the string to selForm.numbers.
        //    Delete/make invisible in ainbox.php finally
        // 2. ask: "want really delete?"
        //

        list_delete = "";
        i = 0;
        while (myForm.sel_it[i]) {
            if (myForm.sel_it[i].checked == true) {
                list_delete += myForm.rowNr[i].value + ";"; // build a list of row numbers that are selected to delete
            }
            i++;
            //if (i>10) break;
        }

        // exception: only one document is selected
        if (i == 0 && myForm.sel_it.checked ==
            true) // exception: Inbox has only one document, only ine sel_it: sel_it[0] as array exist not
            list_delete = myForm.rowNr.value;

        if (list_delete == "") {
            // alert: you have no document/row/record selected!
            alert("Sie haben gar kein Dokument ausgewählt!");
            return false;
        }
        if (action == "for_all") {
            yesno = confirm("Möchten Sie die Nr(n): " + list_delete +
                " wirklich aus dem Posteingang löschen? (OK=Yes, cancel=Nein)");
        } else { // action == "only for me, mark for me as deleted"
            // msg = you want to mark it as deleted (=invisible for you)? Other colleques can still see it and even archive it
            msg = "Möchten Sie für die Nr(n): " + list_delete +
                " wirklich für sich unsichtbar machen und damit indirekt";
            msg += " Ihren Kollegen eine Lösch-Empfehlung anzeigen? (OK=Yes, cancel=Nein)";
            msg += "\n\nErlärung: Das Dokument verschwindet aus ";
            msg += "Ihrem Posteingang, ist für die anderen aber noch voll sichtbar, bearbeitbar und sogar ";
            msg += "auch noch archivierbar.";
            yesno = confirm(msg);
        }
        if (yesno == true) {
            document.selForm.numbers.value = list_delete;
            if (action == "for_all") {
                document.selForm.work.value = "delete_for_all";
            } else { // "for_me": mark for me as deleted (=make unvisible for me, but still present for others)
                document.selForm.work.value = "delete_me";
            }
            //submit();
            return true;
        } else {
            return false;
        }
    }

    function check_before_rotate_fax(myForm) {
        // Check: ist auch nur ein Dokument ausgewählt?
        //        Wenn ja, ist das Dokument ein Fax?

        one_fax = 0;
        count = 0; // maximum is count=1, >1 is user error
        i = 0;
        while (myForm.sel_it[i]) {
            if (myForm.sel_it[i].checked == true) {
                one_fax = myForm.rowNr[i].value; // the ";" at end not necessary, its only one fax
                count += 1;
            }
            i++;
        }
        if (count > 1) { // user error: select only one fax
            alert(
                "Es ist mehr als ein Dokument ausgewählt. Bitte nur ein einzelnes Fax zum Drehen auswählen. Abbruch."
            );
            return false;
        }

        if (i == 0 && myForm.sel_it.checked ==
            true) // if only one fax is selected, then myForm.sel_it[i] (array!) does not exist -> error
            one_fax = myForm.rowNr.value;

        //i=0;
        //while (myForm.sel_it[i]) {
        //   if ((myForm.sel_it[i].checked == true) && (myForm.nbutton[i].value != "fax")) {
        //      alert("Das ausgewählte Dokument ist kein Fax.:"+myForm.nbutton[i].value );
        //      return false;
        //   }
        //   i++;
        //}
        if (i == 0 && myForm.nbutton.value != "fax") {
            // alert: the selected document is no fax
            alert("Das ausgewählte Dokument ist kein Fax.");
            return false;
        }

        document.selForm.work.value = "fax_rotate"
        document.selForm.numbers.value = one_fax;

        return true;
    }


    function checkboxes_reset() {
        // reset all checkboxes to unselect
        i = 0;
        while (top.f_inbox.document.EingForm.sel_it[i]) {
            top.f_inbox.document.EingForm.sel_it[i].checked = false;
            //top.f_inbox.document.EingForm.sel_it_dummy[i].value = ""; //xxxxxx
            //top.f_inbox.document.EingForm.sel_it_dummy[i].style.backgroundColor = "lightgrey";
            i++;
        }
        // single checkbox selected
        if (i == 0 && top.f_inbox.document.EingForm.sel_it ==
            true) // exception: only one sel_it, then sel_it[0] exists not -> syntax error
            top.f_inbox.document.EingForm.sel_it.checked = false;
            //top.f_inbox.document.EingForm.sel_it_dummy[i].style.backgroundColor = "lightgrey";
    }

    //////////////////////////////////  Fax code !!!! /////////////////////////////////////////


    // sel_arch.php = generates select form for archive (=patarch.php)
    // select.php = generates a form for inbox (=inbox.php)

    function ask_before_fax(myForm) {
        fax_list = "";
        i = 0;
        var notif_list = ""; // count the documents that are not Tif file.
        while (myForm.sel_it[i]) {
            if (myForm.sel_it[i].checked == true) {
                //alert("i: "+i);
                if (myForm.noTif[i].value == "1") { // Send fax if not tif document
                    fax_list += myForm.rowNr[i].value + ";";
                } else {
                    notif_list += myForm.rowNr[i].value + ";";
                }
            }
            i++;
            //if (i>10) break;
        }
        if (i == 0 && myForm.sel_it.checked ==
            true) { // Exception: only one sel_it, exist, then sel_it[0] doesn't exist
            if (myForm.noTif[i].value == "1") { // Send fax if not tif document
                fax_list = myForm.rowNr.value;
            } else {
                notif_list = myForm.rowNr.value;
            }
        }
        // example:  fax_list="1234,5678,23,20346,17300";
        document.selForm.numbers.value = fax_list;
        document.selForm.work.value = "fax";
        if (notif_list.length > 0) {
            if (fax_list.length > 0) {
                alert("One or more documents are tif. Skipping tif documents for fax:\n" + notif_list +
                    "\nFaxing the documents:\n" + fax_list);
                window.top.location.href = "doc2faxEmail_ger.php?docs=" + fax_list;
                //return true;
            } else {
                alert("All selected documents are tif. Cannot fax Tif documents.");
                return false;
            }
        } else {
            window.top.location.href = "doc2faxEmail_ger.php?mode=fax&docs=" + fax_list;
            //return true;
        }
    }

    function ask_before_email(myForm) {
        email_list = "";
        i = 0;
        var notif_list = ""; // count the documents that are not Tif file.
        while (myForm.sel_it[i]) {
            if (myForm.sel_it[i].checked == true) {
                //alert("i: "+i);
                //if (myForm.noTif[i].value == "1") { // Send fax if not tif document
                email_list += myForm.rowNr[i].value + ";";
                //} else {
                // 	notif_list+=myForm.rowNr[i].value+";";
                //}
            }
            i++;
            //if (i>10) break;
        }
        if (i == 0 && myForm.sel_it.checked == true) { // Sonderfall: nur ein sel_it, dann ex. sel_it[0] nicht
            //if (myForm.noTif[i].value == "1") { // Send fax if not tif document
            email_list = myForm.rowNr.value;
            //} else {
            //   notif_list=myForm.rowNr.value;
            //}
        }
        // example:  email_list="1234,5678,23,20346,17300";
        document.selForm.numbers.value = email_list;
        document.selForm.work.value = "email";
        /*if (notif_list.length > 0)
  {
	  if (email_list.length > 0) {
	  	alert("One or more documents are tif. Skipping tif documents for email:\n" + notif_list + "\nEmailing the documents:\n"+email_list);
	  	window.top.location.href="doc2faxEmail_ger.php?docs=" + email_list;
	    //return true;
  	  } else {
	  	alert("All selected documents are tif. Cannot email Tif documents.");
	  	return false;
  	  }
  } else {*/
        window.top.location.href = "doc2faxEmail_ger.php?mode=email&docs=" + email_list;
        //return true;
        //}
    }


    function ToggleRadioState(id = null, type = null) {
        if (type == 1) {
            var cb = document.getElementById("turn180");
            var cbb = document.getElementById("MySelButtonTurn180");
        } else {
            var cb = document.getElementById("my_sel" + id);
            var cbb = document.getElementById("MySelButton" + id);
        }
        if (cb.checked == true) {
            cbb.value = "";
            cbb.style.backgroundColor = "lightgrey";
            cb.checked = false;
        } else {
            cbb.value = "X";
            cbb.style.backgroundColor = "green";
            cb.checked = true;
        }
    }
    //
    -->
    </script>

</head>


<body text="#000000" bgcolor="#a5adff" link="#3333FF" vlink="#3333FF" alink="#FFFFFF">
    <form action="inbox.php" name="selForm" target="f_inbox" method="post" onSubmit='test_before_submit();'>

        <?php
//$pers = person, a mobile user who sits at different PCs (Workstations)
$pers = $_GET['pers'];  // person. Can switch to another persons Inbox with one click

//$wsid = a PC (Workstation) that offers certain functions. Different persons with their individual Inbox work here
$wsid = $_GET['wsid'];   //do not lose the id, alway the same, sometimes used

//The two GET-variable $pers and $wsid are not used here in select.php.
//They are passed through to inbox.php again (by POST) so that inbox.php
//knows which person sitting before the PC/Workstation and which workstation it is.

$spezial = $_GET['spezial'];   // ="fax", special option to turn faxes 180 degrees.
?>

        Die ausgewählten Dokumente: <br> <!-- the selected documents: -->
        <table border=0 cellspacing=10 cellpadding=10>
            <tr valign="top">
                <td>
                    <input type="radio" id="my_sel1" name="my_sel" hidden>
                    <input type="button" style="background: lightgrey; width: 24px; height: 24px;" id="MySelButton1"
                        name="sel_it_dummy"
                        onclick="ToggleRadioState(1);javascript: if (ask_before_delete(top.f_inbox.document.EingForm,'for_all')) { parent.document.getElementsByTagName('frameset')[0].rows='100%,*';submit();}">
                    löschen f. alle
                </td>
                <td> &nbsp; </td>
                <td>
                    <input type="radio" id="my_sel2" name="my_sel" hidden>
                    <input type="button" style="background: lightgrey; width: 24px; height: 24px;" id="MySelButton2"
                        name="sel_it_dummy" onclick="ToggleRadioState(2);javascript: if (ask_before_delete(top.f_inbox.document.EingForm,'for_me')) {
     parent.document.getElementsByTagName('frameset')[0].rows='100%,*';submit();}">
                    für mich unsichtbar machen, Empfehlung: löschen
                </td>
                <td>&nbsp; </td>
                <td>
                    <input type="radio" id="my_sel3" name="my_sel" hidden>
                    <input type="button" style="background: lightgrey; width: 24px; height: 24px;" id="MySelButton3"
                        name="sel_it_dummy"
                        onclick="ToggleRadioState(3);javascript: if (ask_before_archive(top.f_inbox.document.EingForm)) {parent.document.getElementsByTagName('frameset')[0].rows='100%,*' ;submit();}">
                    archivieren
                </td>
                <td>
                    <input type="radio" id="my_sel4" name="my_sel" hidden>
                    <input type="button" style="background: lightgrey; width: 24px; height: 24px;" id="MySelButton4"
                        name="sel_it_dummy"
                        onclick="ToggleRadioState(4);javascript: if (ask_before_arch_forAll(top.f_inbox.document.EingForm)) {parent.document.getElementsByTagName('frameset')[0].rows='100%,*';submit();}">
                    arch. für alle
                </td>

                <?php
     if ($spezial == "fax") { ?>
                <td>
                    <input type="radio" id="turn180" name="turn180" hidden>
                    <input type="button" style="background: lightgrey; width: 24px; height: 24px;"
                        id="MySelButtonTurn180" name="sel_it_dummy"
                        onclick="ToggleRadioState(4, 1);javascript: if (check_before_rotate_fax(top.f_inbox.document.EingForm)) {parent.document.getElementsByTagName('frameset')[0].rows='100%,*';submit();}">
                    Fax drehen
                </td>
                <?php
     }
  ?>

                <!-- fax -->
                <td>
                    <input type="radio" id="my_sel5" name="my_sel" hidden>
                    <input type="button" style="background: lightgrey; width: 24px; height: 24px;" id="MySelButton5"
                        name="sel_it_dummy"
                        onclick="ToggleRadioState(5);javascript: ask_before_fax(top.f_inbox.document.EingForm);">
                    <!--onClick='javascript: if (ask_before_fax(top.f_inbox.document.EingForm)) {
     parent.document.getElementsByTagName("frameset")[0].rows="100%,*";
     submit();}'>-->
                    fax
                </td>
                <td> &nbsp; </td>

                <!-- email -->
                <td>
                    <input type="radio" id="my_sel6" name="my_sel" hidden>
                    <input type="button" style="background: lightgrey; width: 24px; height: 24px;" id="MySelButton6"
                        name="sel_it_dummy"
                        onclick="ToggleRadioState(6);javascript: ask_before_email(top.f_inbox.document.EingForm);">
                    <!--onClick='javascript: if (ask_before_email(top.f_inbox.document.EingForm)) {
     parent.document.getElementsByTagName("frameset")[0].rows="100%,*";
     submit();}'>-->
                    email
                </td>
                <td> &nbsp; </td>

                <td></td>
                <td></td>
                <td>
                    <input type=button value="abbrechen/zurück" onClick="checkboxes_reset();
         parent.document.getElementsByTagName('frameset')[0].rows='100%,*'">
                </td>

            </tr>
        </table>

        <input name="pers" size=30 type="hidden" value="<?php echo $pers; ?>">
        <input name="wsid" size=30 type="hidden" value="<?php echo $wsid; ?>">
        <input name="numbers" size=30 type="hidden" value="">
        <input name="work" size=30 type="hidden" value="">

        <!-- sel_arch fields -->
        <input name="patN_mode" size=10 type="hidden" value="manually">
        <input name="patNr" size=30 type="hidden" value="<?php echo $patNr; ?>">
        <!-- sel_arch fields end -->
    </form>

</body>

</html>
